SOCKD(8)

NAME
sockd - network proxyserver

SYNOPSIS
sockd [-DLVdhnv] [-N number] [-f file]

DESCRIPTION
Dante implements the socks standard and can function as a firewall between networks.

Dante relays TCP and UDP both from outside the network and in, and from inside and out.

The options are as follows:

-D  Dante will detach from the controlling terminal and run in the background as a system daemon.

-L  Displays the license Dante comes under.

-Nnumber
    Dante will fork of number copies of itself when starting. Can be used for very busy servers.

-V  Verifies config file and exits.

-d  Enables debugging.

-ffile
    Dante will read its configuration from file.

-h  Shows the currently valid options.

-n  Disables TCP keep-alive messages. Normally Dante enables TCP keep-alive messages so that connections from machines that have crashed or for other reasons no longer can be reached time out.

-v  Displays Dante version.

ENVIRONMENT

TMPDIR
    Use TMPDIR for temporary files. Since Dante uses lockfiles it is recommended that TMPDIR be set to a (local) filesystem with low latency.

FILES

/etc/sockd.conf
    Dante server configuration file.

AUTHORS
For Inferno Nettverk A/S, Norway:
 Michael Shuldman <michaels@inet.no>: Design and implementation.
 Karl-Andre' Skevik <karls@inet.no>: Autoconf and porting.

SEE ALSO
socks.conf(5) sockd.conf(5)

Information about new releases and other related issues can be found on the Dante WWW home page at http://www.inet.no/dante.

BUGS
See the accompanying BUGS file. New ones should be reported to dante-bugs@inet.no.